Balance Update Endpoint
Please check with your Astra Integration Specialist first to determine if your integration will require this endpoint. Do not start building this endpoint without first checking with your Astra Integration Specialist.
The Balance Update Endpoint is required for sending outbound ACH transfers from your client, as it enables Astra to fetch the balance of the end-user's account created through account number and routing number via the POST /v1/accounts/create endpoint.
Astra GETs the balance data from your application by account ID
https://yourapp.com/astra/balance
Astra will need an endpoint to call to get the balance of an account after receiving a balance_update webhook. We recommend the following:
- The endpoint should be secure and utilize authentication. Usually a combination of basic auth and JWT (with an expiration)
- The endpoint should accept an
account_idparameter - The endpoint should return a JSON response with the following payload:
Both available_balance and current_balance are required
- Balances should be integers (cents)
{ "available_balance": 12345, "current_balance": 12345 }